from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XMimeTypeInfo(XInterface, Protocol):
    def supportsMimeType(self, MimeTypeName: str) -> bool: ...
    def getSupportedMimeTypeNames(self) -> list[str]: ...
